import { BindingEngine } from 'aurelia-framework';
import { OverrideContext, Parser } from "aurelia-binding";
import { EnumerationTypeService } from './../../services/enumeration-type-service';
import { Box } from './../../modules/box';
import { I18N } from 'aurelia-i18n';
import { Config } from './../../config';
export declare class UIEnumerationSelect {
    private element;
    private parser;
    private bindingEngine;
    private box;
    private i18n;
    private config;
    value: string;
    enumerationCategory: number;
    isRequired: boolean;
    sortColumn: string;
    propertyId: string;
    isCreation: boolean;
    disabled: boolean;
    showTag: boolean;
    readonly: boolean;
    enumerationTypeService: EnumerationTypeService;
    placeholder: string;
    hasForeignKeyLink: boolean;
    canCreate: boolean;
    createFn: Function;
    createButtonLabelTr: string;
    createDialogLabelTr: string;
    private propertyName;
    private entity;
    private entityObserverDispsable;
    constructor(element: Element, parser: Parser, bindingEngine: BindingEngine, box: Box, i18n: I18N, config: Config);
    bind(bindingContext: any, overrideContext: OverrideContext): void;
    entityChanged(n: any, o: any): void;
    detached(): void;
    isRequiredChanged(): void;
    isCreationChanged(): void;
    private initValue;
    creationFunction(): void;
    private onChange;
}
